<div class="header bg-gradient-danger mb-5 py-lg-3">
    <div class="container">
        <div class="header-body text-center mb-7">
            <div class="row justify-content-center">
                <div class="col-lg-5 col-md-6 mb-3 mt-3">
                    <img src="assets/img/brand/argon-white.png" style="width: 141px;">
                </div>
            </div>
        </div>
    </div>
    <div class="separator separator-bottom separator-skew zindex-100">
        <svg x="0" y="0" viewBox="0 0 2560 100" preserveAspectRatio="none" version="1.1"
            xmlns="http://www.w3.org/2000/svg">
            <polygon class="fill-default" points="2560 0 2560 100 0 100"></polygon>
        </svg>
    </div>
</div>


<!-- Page content -->
<div class="container mt--6 pb-5">
    <div class="row justify-content-center">
        <div class="col-lg-5 col-md-7">
            <div class="card bg-secondary shadow border-0">

                <div class="card-body px-lg-5 py-lg-5">
                    <div class="text-center">
                        <p><span style="padding: 5px 78px;" class="alert alert-danger" *ngIf="responseError">{{responseError}}</span></p>
                        
                        <span style="padding: 5px 78px;" class="alert alert-danger" *ngIf="(firstName && firstName.invalid && firstName.touched) || (lastName && lastName.invalid && lastName.touched) || (email && email.invalid && email.touched) || (paddress && paddress.invalid && paddress.touched)|| (pcity && pcity.invalid && pcity.touched)|| (pstate && pstate.invalid && pstate.touched)|| (pcode && pcode.invalid && pcode.touched)">{{errors}}</span>
                        
                    </div>
                    <form [formGroup]="UserVerify" (ngSubmit)="SubmitUserVerify()">
                        <div id="info_1">
                            <div class="row">
                                <div class="col-12">
                                    <div class="text-center text-muted mb-4 mt-3">
                                        <h3>Let’s get to know you better</h3>
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="form-group mb-3">
                                        <div class="input-group input-group-alternative">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="fa fa-user"></i></span>
                                            </div>
                                            <input class="form-control" name="firstName" formControlName="firstName"
                                                placeholder="First Name" type="text">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="form-group mb-3">
                                        <div class="input-group input-group-alternative">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="fa fa-user"></i></span>
                                            </div>
                                            <input class="form-control" name="lastName" formControlName="lastName"
                                                placeholder="Last Name" type="text">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="form-group mb-3">
                                        <div class="input-group input-group-alternative">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i
                                                        class="fa fa-envelope-open-text"></i></span>
                                            </div>
                                            <input class="form-control" name="email" formControlName="email"
                                                placeholder="Email" type="email">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="form-group mb-3">
                                        <div class="input-group input-group-alternative">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i
                                                        class="ni ni-mobile-button"></i></span>
                                            </div>
                                            <input class="form-control" name="referralCode"
                                                formControlName="referralCode" placeholder="Referral Code (Optional)"
                                                type="number">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <!-- Your Location -->
                        <div id="info_2" style="display: none;">
                            <div class="container-fluid">
                                <div class="text-center text-muted mb-4 mt-3">
                                    <h3>Your Location</h3>
                                </div>
                            </div>
                            <div class="row" id="presentAddress">

                                <div class="col-12">
                                    <label for="presentAddress">Present Address</label>
                                </div>
                                <div class="col-12">
                                    <div class="form-group mb-3">
                                        <div class="input-group input-group-alternative">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i
                                                        class="fa fa-map-marker-alt"></i></span>
                                            </div>
                                            <input class="form-control" name="paddress" formControlName="paddress"
                                                placeholder="Address" type="text">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="form-group mb-3">
                                        <div class="input-group input-group-alternative">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i
                                                        class="fa fa-map-marker-alt"></i></span>
                                            </div>
                                            <input class="form-control" name="pcity" formControlName="pcity"
                                                placeholder="City" type="text">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="form-group mb-3">
                                        <div class="input-group input-group-alternative">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i
                                                        class="fa fa-map-marker-alt"></i></span>
                                            </div>
                                            <input class="form-control" name="pcode" formControlName="pcode"
                                                placeholder="Zip Code" type="number">
                                        </div>
                                    </div>
                                </div>

                                <div class="col-6">
                                    <div class="form-group mb-3">
                                        <div class="input-group input-group-alternative">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i
                                                        class="fa fa-map-marker-alt"></i></span>
                                            </div>
                                            <input class="form-control" name="pstate" formControlName="pstate"
                                                placeholder="State" type="text">
                                        </div>
                                    </div>
                                </div>


                            </div>
                            <!-- same address CheckBox -->
                            <div class="">
                                <div class="input-group mb-3">
                                    <div class="input-group-prepend">
                                        <div class="input-group-text">
                                            <input id="addressCheckbox"  type="checkbox"  checked>
                                        </div>
                                    </div>
                                    <input type="text" class="form-control" placeholder="Is Present Address Is same Current Address?" readonly>
                                </div>
                            </div>

                            <!-- current Address -->
                            <div class="row" id="currentAddress" style="display:none">

                                <div class="col-12">
                                    <label for="presentAddress">Current Address</label>
                                </div>
                                <div class="col-12">
                                    <div class="form-group mb-3">
                                        <div class="input-group input-group-alternative">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i
                                                        class="fa fa-map-marker-alt"></i></span>
                                            </div>
                                            <input class="form-control" name="caddress" formControlName="caddress"
                                                placeholder="Address" type="text">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="form-group mb-3">
                                        <div class="input-group input-group-alternative">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i
                                                        class="fa fa-map-marker-alt"></i></span>
                                            </div>
                                            <input class="form-control" name="ccity" formControlName="ccity"
                                                placeholder="City" type="text">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="form-group mb-3">
                                        <div class="input-group input-group-alternative">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i
                                                        class="fa fa-map-marker-alt"></i></span>
                                            </div>
                                            <input class="form-control" name="ccode" formControlName="ccode"
                                                placeholder="Zip Code" type="number">
                                        </div>
                                    </div>
                                </div>

                                <div class="col-6">
                                    <div class="form-group mb-3">
                                        <div class="input-group input-group-alternative">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i
                                                        class="fa fa-map-marker-alt"></i></span>
                                            </div>
                                            <input class="form-control" name="cstate" formControlName="cstate"
                                                placeholder="State" type="text">
                                        </div>
                                    </div>
                                </div>


                            </div>

                        </div>

                        <div class="row justify-content-center text-center">
                            <div class="col-6">
                                <span id="PreviousBtn" style="display: none;" class="btn btn-danger">Previous</span>
                            </div>
                            <div class="col-6" id="NextBtnDiv">
                                <span id="NextBtn" class="btn btn-primary">Next</span>
                            </div>
                            <div class="col-6" style="display: none;" id="SubmitBtn">
                                <button type="submit" [disabled]="UserVerify.invalid" class="btn btn-primary">Submit</button>
                            </div>

                        </div>
                    </form>


                </div>
            </div>
        </div>
    </div>
</div>